%bcond_with tests

Name: upt
Version:  0.10.3
Release:  2%{?dist}
Summary:  Package software from any package manager to any distribution

License:  BSD
URL:      https://framagit.org/upt/upt
Source0:  %pypi_source
# setuptools 40.6 added section [options.data_files]to setup.cfg. Having 
# setuptools < 40.6 results in this error upon trying to install a Python 
# package:
# distutils.errors.DistutilsOptionError: Unsupported distribution option section
# el7 and el8 come with version 39.2
%if 0%{?rhel}
Patch0:    upt-remove-options_data_files.patch
%endif
BuildArch:  noarch
Requires: python%{python3_pkgversion}-spdx-lookup
BuildRequires: python%{python3_pkgversion}-devel
%if 0%{?fedora} || 0%{?rhel_version} >= 8
Recommends: python%{python3_pkgversion}-upt-fedora
Recommends: python%{python3_pkgversion}-upt-pypi
Recommends: python%{python3_pkgversion}-upt-cpan
Recommends: python%{python3_pkgversion}-upt-rubygems
%endif

%description
A unified CLI tool that converts a package from a language-specific package
manager (such as PyPI or NPM) to an almost ready-to-use package for Free
Unix-based operating systems (such as a GNU/Linux distribution or *BSD).

%prep
%setup -q -n %{name}-%{version}
%if 0%{?rhel}
%patch0 -p0
%endif

%build
%py3_build

%install
%py3_install
%{__install} -d %{buildroot}%{_mandir}/man1
%{__cp} upt.1 %{buildroot}%{_mandir}/man1/

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m unittest
%endif

%files
%doc README.md CHANGELOG
%license LICENSE
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/%{name}/
%{_bindir}/upt
%{_mandir}/man1/upt*

%changelog
* Sun Oct 20 2019 Jeremy Bertozzi <jeremy.bertozzi@gmail.com> - 0.10.3-2
- Build for rhel

* Sun Sep 29 2019 Jeremy Bertozzi <jeremy.bertozzi@gmail.com> - 0.10.3-1
- Initial package

